package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag410;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT410AbsCreator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag21Creator extends AbsTagCreate {
    private MT410AbsCreator mt410AbsCreator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt410AbsCreator= (MT410AbsCreator) absMTCreator;
    }

    public  void creator()
    {
        String tag21Value = mt410AbsCreator.getRelatedReference();
        mt410AbsCreator.set("21", tag21Value);
    }
}
